#include <stdio.h>
#include <stdlib.h>

int main()
{
    int x, y, a, b;
    scanf("%d%d%d%d", &a, &b, &x, &y);
    if(x ==y && a==b && a==x){
        printf("nijedan");
        }
    else if(a==x){
        printf("drugi");
        }
    else if(b==y){
        printf("prvi");
        }
    else{
        printf("?");
        }
    return 0;
}